<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Item;
use Infomaker\Everyware\NewsML\TypeParser;
use SimpleXMLIterator;

class TableParser extends LinkParser implements ItemParser, TypeParser
{

    public const OBJECT_TYPE = 'x-im/table';

    public function parse(SimpleXMLIterator $element): array
    {
        $item = new Item($element);
        $table = $item->getChild('data');
        $item->fill([
            'content' => $table instanceof SimpleXMLIterator ? $table->tbody->asXML() : ''
        ]);

        return [$item];
    }

    public function typeToParse(): string
    {
        return static::OBJECT_TYPE;
    }
}
